> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-7/v7-0-0-71974.md).

# Version 7.0.0 Changelog (July 25th, 2019)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 7.0.0.71974
* Release Date: July 25th, 2019
* Built with Xcode 10.3 (10G8)

## New

* Added undo/redo support for the `PTPDFViewCtrl` and Tools project. Annotation changes (added, modified, and removed), form field modifications, and page modifications (page added, moved, and removed) are supported by undo/redo in Tools. The standard iOS shake gesture can be used to activate the undo/redo dialog when using the `PTDocumentViewController` class.
* Date, time, and numeric form fields when activated now show a date, time, or number picker instead of a text input box.
* All text search results are now highlighted on each page when using the [`PTTextSearchViewController`](/ios/search/text.md).
* Grouped annotations are now detected and can be moved and resized with the `PTAnnotEditTool`.
* Added a \[new API]\(<https://sdk.apryse.com/api/ios/Classes/PTPDFViewCtrl.html#/Add> UIViews to a PDF page) for attaching a `UIView` to a PDF page.

## Bug fixes

* A number of iOS 13 bug fixes:
  * `PTDigSigViewController` and `PTFloatingSigViewController` drawing gestures now work correctly.
  * Extra system menu items in the long-press and other menus have been removed.
  * The annotation style picker popover (iPad and large iPhones) is displayed correctly.
  * The extra space at the top of the `PTNavigationListsViewController` has been removed.
* A number of miscellaneous minor bug fixes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/ios/changelogs/version-7/v7-0-0-71974.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
